CROT(3f)

NAME
CROT - a plane rotation, where the cos (C) is real and the sin (S) is complex, and the vectors CX and CY are complex

SYNOPSIS

SUBROUTINE CROT(
    N, CX, INCX, CY, INCY, C, S )

INTEGER
    INCX, INCY, N

REAL
    C

COMPLEX
    S

COMPLEX
    CX( * ), CY( * )

PURPOSE
CROT applies a plane rotation, where the cos (C) is real and the sin (S) is complex, and the vectors CX and CY are complex.

ARGUMENTS

N       (input) INTEGER
    The number of elements in the vectors CX and CY.

CX      (input/output) COMPLEX array, dimension (N)
    On input, the vector X. On output, CX is overwritten with C*X + S*Y.

INCX    (input) INTEGER
    The increment between successive values of CY. INCX <> 0.

CY      (input/output) COMPLEX array, dimension (N)
    On input, the vector Y. On output, CY is overwritten with -CONJG(S)*X + C*Y.

INCY    (input) INTEGER
    The increment between successive values of CY. INCX <> 0.

C       (input) REAL
    S (input) COMPLEX C and S define a rotation [ C S ] [ -conjg(S) C ] where C*C + S*CONJG(S) = 1.0.